%define upstream_name    File-Temp
%define upstream_version 0.2310

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Return name and handle of a temporary file safely
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Heavy)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl) >= 1.30.0
BuildRequires: perl(File::Path) >= 2.60.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Seekable)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(parent) >= 0.221.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
File::Temp can be used to create and open temporary files in a safe way. There
is both a function interface and an object-oriented interface. The File::Temp
constructor or the tempfile() function can be used to return the name and the
open filehandle of a temporary file. The tempdir() function can be used to
create a temporary directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install

mv %{buildroot}%{_mandir}/man3/File::Temp.3pm \
    %{buildroot}%{_mandir}/man3/File::Temp-%{upstream_version}.3pm

%check
%__make test

%files 
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog
* Sun Sep 27 2020 tv <tv> 0.231.0-1.mga8
+ Revision: 1630759
- update to 0.2310

* Fri Feb 14 2020 umeabot <umeabot> 0.230.900-2.mga8
+ Revision: 1521985
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Jan 07 2019 tv <tv> 0.230.900-1.mga7
+ Revision: 1350518
- update to 0.2309

* Thu Sep 20 2018 umeabot <umeabot> 0.230.800-2.mga7
+ Revision: 1283756
- Mageia 7 Mass Rebuild

* Sat Jul 14 2018 tv <tv> 0.230.800-1.mga7
+ Revision: 1243559
- new release

* Wed Jul 04 2018 shlomif <shlomif> 0.230.600-1.mga7
+ Revision: 1241598
- update to 0.2306

* Sun Jun 19 2016 pterjan <pterjan> 0.230.400-8.mga6
+ Revision: 1027619
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.230.400-7.mga6
+ Revision: 933798
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.230.400-6.mga5
+ Revision: 741979
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.230.400-5.mga5
+ Revision: 725848
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 0.230.400-4.mga5
+ Revision: 684775
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.230.400-3.mga5
+ Revision: 587949
- rebuild after perl 5.18.2

* Mon Oct 21 2013 umeabot <umeabot> 0.230.400-2.mga4
+ Revision: 541129
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 sander85 <sander85> 0.230.400-1.mga4
+ Revision: 495150
- update to 0.2304

* Wed Oct 09 2013 sander85 <sander85> 0.230.300-1.mga4
+ Revision: 494226
- update to 0.2303

* Fri Sep 27 2013 sander85 <sander85> 0.230.200-1.mga4
+ Revision: 487778
- update to 0.2302

* Mon Jun 03 2013 jquelin <jquelin> 0.230.100-1.mga4
+ Revision: 436399
- update to 0.2301

* Wed Mar 27 2013 jquelin <jquelin> 0.220.0-3.mga3
+ Revision: 405490
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 367389
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.220.0-1.mga1
+ Revision: 24424
- fix specs
- imported package perl-File-Temp

